Skip to content

condenser_api.get_content_replies ​

Purpose ​

Returns a list of replies. Parameters: author:string; permlink:string

author (string)permlink (string)
"steemit""firstpost"Queries replies for a slug @steemit/firstpost
"alice""a-post-by-alice"Queries replies for a slug @alice/a-post-by-alice

Also see: tags_api.get_content_replies

Parameters ​

PARAMETERS
json
[
  "",
  ""
]

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_content_replies",
    "params": [
      "steemit",
      "firstpost"
    ],
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_content_replies",
    "params": [
      "alice",
      "a-post-by-alice"
    ],
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "id": 0,
  "author": "",
  "permlink": "",
  "category": "",
  "parent_author": "",
  "parent_permlink": "",
  "title": "",
  "body": "",
  "json_metadata": "",
  "last_update": "1970-01-01T00:00:00",
  "created": "1970-01-01T00:00:00",
  "active": "1970-01-01T00:00:00",
  "last_payout": "1970-01-01T00:00:00",
  "depth": 0,
  "children": 0,
  "net_rshares": 0,
  "abs_rshares": 0,
  "vote_rshares": 0,
  "children_abs_rshares": 0,
  "cashout_time": "1970-01-01T00:00:00",
  "max_cashout_time": "1970-01-01T00:00:00",
  "total_vote_weight": 0,
  "reward_weight": 0,
  "total_payout_value": "0.000 STEEM",
  "curator_payout_value": "0.000 STEEM",
  "author_rewards": 0,
  "net_votes": 0,
  "root_author": "",
  "root_permlink": "",
  "max_accepted_payout": "0.000 STEEM",
  "percent_steem_dollars": 0,
  "allow_replies": false,
  "allow_votes": false,
  "allow_curation_rewards": false,
  "beneficiaries": [],
  "url": "",
  "root_title": "",
  "pending_payout_value": "0.000 STEEM",
  "total_pending_payout_value": "0.000 STEEM",
  "active_votes": [],
  "replies": [],
  "author_reputation": 0,
  "promoted": "0.000 STEEM",
  "body_length": 0,
  "reblogged_by": []
}